package writingtools;

import cs2.TextShape;
import cs2.Window;

public class Marker extends WritingInstrument {
	
private boolean smelly;  //smelly kind of marker

public Marker() {
	super();
	this.smelly = true;
}

public boolean isSmelly() {
	return this.smelly;
}

public void setSmelly(boolean smelly) {
	this.smelly = smelly;
}


public void write(String message) {
	  Window w;
	  if (smelly) {
		  w = new Window("Smelly Message"); 
	  }
	  else {
		  w = new Window("Message");		  
	  }
	  TextShape messageShape = new TextShape(20, 80, message, getColor(), 100);
	  w.addShape(messageShape);
	
};

}
