/**
 * 
 */
package writingtools;

import java.awt.Color;

import cs2.TextShape;
import cs2.Window;


/**
 * @author techstaff
 *
 */
public class WritingInstrument {
	
	private Double size;
	private Color color;

	public WritingInstrument() {
		color = Color.BLACK;
	}	
	public double getSize() {
		return size;
	}
	public void setSize(double size) {
		this.size = size;
	}
	public Color getColor() {
		return color;
	}
	public void setColor(Color color) {
		this.color = color;
	}
	public void write(String message) {	
		  Window w = new Window("Message");
		  TextShape messageShape = new TextShape(20, 80, message, color, 100);
		  w.addShape(messageShape);
		
	};
	public void write(String message, String font) {	
		  Window w = new Window("Message");
		  TextShape messageShape = new TextShape(20, 80, message, color, 100, font);
		  w.addShape(messageShape);
		
	};
	@Override
	public String toString() {
		return ("size: " + size + " and color: " + color);
	}

	@Override
	public boolean equals(Object obj) {
		if (obj == this)
			return true;
		if (obj == null)
			return false;
		if (this.getClass() == obj.getClass()) {
			WritingInstrument other = (WritingInstrument) obj;
			return size.equals(other.size) 
					&& color.equals(other.color);
		} else {
			return false;
		}
	}


}
